# Run tests in check section
# disable for bootstrapping
%bcond_with check

%global goipath         grpc.go4.org
%global forgeurl        https://github.com/go4org/grpc
%global commit          11d0a25b491971beb5a4625ea7856a3c4afaafa5

%global common_description %{expand:
Experimental branch of gRPC: a high performance, open source, general RPC 
framework.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        A high performance, open source, general RPC framework
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/golang/glog)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(github.com/golang/protobuf/protoc-gen-go/descriptor)
BuildRequires: golang(golang.org/x/net/http2)
BuildRequires: golang(golang.org/x/net/http2/hpack)
BuildRequires: golang(golang.org/x/net/trace)
BuildRequires: golang(golang.org/x/oauth2)
BuildRequires: golang(golang.org/x/oauth2/google)
BuildRequires: golang(golang.org/x/oauth2/jwt)

%description
%{common_description}


%package devel
Summary:       %{summary}

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup
%goprep


%install
%goinstall


%if %{with check}
%check
%gochecks -r "clientconn_test\.go"
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md PATENTS CONTRIBUTING.md




%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0-0.3.mga10
+ Revision: 2245947
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Wed Apr 06 2022 umeabot <umeabot> 0-0.2.mga9
+ Revision: 1845951
- Mageia 9 Mass Rebuild

* Mon Jun 15 2020 joequant <joequant> 0-0.1.mga8
+ Revision: 1593336
- fix deps

* Wed Nov 28 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1336340
- imported package golang-grpc-go4


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git11d0a25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1-20180421git11d0a25
- First package for Fedora

